## org.apache.aries.subsystem.core.internal
Class BasicCapability

    java.lang.Object
      org.apache.aries.subsystem.core.internal.AbstractCapability
          org.apache.aries.subsystem.core.internal.BasicCapability

All Implemented Interfaces:
  org.osgi.resource.Capability

    public class BasicCapability

extends AbstractCapability

Nested Class Summary
`static class` `BasicCapability.Builder`

Constructor Summary
`BasicCapability(org.osgi.resource.Capability capability, org.osgi.resource.Resource resource)`
`BasicCapability(String namespace, Map<String,Object> attributes, Map<String,String> directives, org.osgi.resource.Resource resource)`

Method Summary
`Map<String,Object>` `getAttributes()`
`Map<String,String>` `getDirectives()`
`String` `getNamespace()`
`org.osgi.resource.Resource` `getResource()`

Methods inherited from class org.apache.aries.subsystem.core.internal.AbstractCapability
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasicCapability

    public BasicCapability(org.osgi.resource.Capability capability,
                           org.osgi.resource.Resource resource)

### BasicCapability

    public BasicCapability(String namespace,
                           Map<String,Object> attributes,
                           Map<String,String> directives,
                           org.osgi.resource.Resource resource)

Method Detail

### getAttributes

    public Map<String,Object> getAttributes()

### getDirectives

    public Map<String,String> getDirectives()

### getNamespace

    public String getNamespace()

### getResource

    public org.osgi.resource.Resource getResource()

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.